<?php

/**
 * Yii Framework FriendlyUrl Extension
 * @package FriendlyURL
 * @license BSD
 */

/**
 * PHP pages storage class.
 * @package FriendlyURL
 * @author Oleg Blednov aka Blake-R
 * @version 2009-04-13
 */
interface IFriendlyUrlPageStorage
{
	/**
	 * Constructor. Initialize storage parameters.
	 * @param array $params Parameters for initialization.
	 */
	public function __construct(array $params);

	/**
	 * Getting hierarchy of {@link CFriendlyUrlPage}.
	 * @return array All pages in array.
	 */
	public function getData();
}

?>
